Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing
[Groovy] Class LookAndFeelHelper

    java.lang.Object
      groovy.swing.LookAndFeelHelper

    class LookAndFeelHelper

Field Summary
`protected static LookAndFeelHelper` | `instance`

Method Summary
`java.lang.String` | `addLookAndFeelAlias(java.lang.String alias, java.lang.String className)`
`java.lang.String` | `addLookAndFeelAttributeHandler(java.lang.String className, java.lang.String attr, Closure handler)`
`static java.lang.String` | `getAquaLAFName()`
`static LookAndFeelHelper` | `getInstance()`
`static java.lang.String` | `getNimbusLAFName()`
`static java.lang.String` | `getSubstanceLAFName()`
`boolean` | `isLeaf()`
`javax.swing.LookAndFeel` | `lookAndFeel(java.lang.Object value, java.util.Map attributes, Closure initClosure)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### instance

    protected static LookAndFeelHelper instance

Method Detail

### addLookAndFeelAlias

    java.lang.String addLookAndFeelAlias(java.lang.String alias, java.lang.String className)

### addLookAndFeelAttributeHandler

    java.lang.String addLookAndFeelAttributeHandler(java.lang.String className, java.lang.String attr, Closure handler)

### getAquaLAFName

    static java.lang.String getAquaLAFName()

### getInstance

    static LookAndFeelHelper getInstance()

### getNimbusLAFName

    static java.lang.String getNimbusLAFName()

### getSubstanceLAFName

    static java.lang.String getSubstanceLAFName()

### isLeaf

    boolean isLeaf()

### lookAndFeel

    javax.swing.LookAndFeel lookAndFeel(java.lang.Object value, java.util.Map attributes, Closure initClosure)

Groovy Documentation